
Internal Tools - Bug #19544

Task # 19675 (New): プラン変更一括登録ツール

Bug # 19543 (Resolved): Issues on プラン変更一括登録ツール

[QA] DoCoMo通話定額オプションの解除処理が動作しない。

06/06/2023 07:07 AM - Takeshi Sasamori

Status: Closed % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: Takeshi Sasamori   

Type:  バグ要因:  

Description

本件、近々でターゲットとなるパートナーは、AIR-Uであり、

かけ放題系プランから290プランへのプラン変更を求められています。

下記テストデータのように、通話定額オプション付きプランからのプラン変更ではありません。

唯、本ツールを他パートナーにて提供する場合に、

本問題が発生する可能性がある為、継続しての解析をお願いできますでしょうか。

尚、近々のターゲットである、

AIR-Uでのプラン変更の試験は、PM側で変更先のプラン登録が未登録の事から、登録後に確認します。

□テストデータ

アカウントID :jcitest_user04

パスワード :secret

電話番号：07040936167

□テスト手順

対象の07040936167は合理的290に通話かけ放題オプションが適用された状態のものを使用。

NT-ECDVC-4（合理的290）

↓

NT-EGMVC-10（合理的みんな）

1. http://223.25.162.146/fm/reports/files/Bulk-PlanChange/に一括プラン変更ファイル配置

2. ファイル取り込みバッチ実行

　sudo /opt/Alternatives/report-server/opt/shells/AutoOrders/FM_MSP_BATCH_COMMAND.sh

3. プラン変更バッチ実行（一部レコードのdate修正）

　sudo /opt/ProvisioningLineBatch/mspApplyPlanChanges.sh 20230601

□障害内容

・サビ変前に適用されていた通話かけ放題オプションが、サビ変後にも適用されている。

・一括プラン変更バッチ実行時にprovisioning.line_options_statに定額オプション解除用のレコードができていない。

□期待値

・一括プラン変更ではサビ変時の通話定額オプション指定はできない理解です。サビ変時は定額オプションを解除すること。

□添付ファイル名

投入ファイル

20619_03_QA_ServiceChange01_20230606.txt

History

#1 - 06/06/2023 07:50 AM - Daisuke Tajima

- Description updated

#2 - 06/06/2023 07:54 AM - Daisuke Tajima
- Description updated

#3 - 06/06/2023 08:08 AM - Daisuke Tajima

- Description updated

#4 - 06/06/2023 08:09 AM - Daisuke Tajima

- Description updated

#5 - 06/06/2023 08:09 AM - Daisuke Tajima

- Subject changed from [QA] サビ変前に適用中の通話定額オプションがサビ変後に解除されない to [QA] サビ変前に適用中の通話定額オプションがサビ変後に解除されない。[ ] 

#6 - 06/06/2023 08:09 AM - Daisuke Tajima

- Subject changed from [QA] サビ変前に適用中の通話定額オプションがサビ変後に解除されない。[ ]  to [QA] サビ変前に適用中の通話定額オプションがサビ変後に解除されない。【AIR-Uプラン以外】

#7 - 06/08/2023 12:27 AM - Daisuke Tajima

→ソンミン、

MSPポータルからのプラン変更の場合、

#1 Prefix通話オプション解除

#2 Prefix通話定額オプション解除

#3 DoCoMo通話定額オプション解除

の処理が入っていますが、一括投入ツールの場合に

これらの処理が抜けている可能性がありますので、解析願います。

#8 - 06/08/2023 12:28 AM - Daisuke Tajima

- Subject changed from [QA] サビ変前に適用中の通話定額オプションがサビ変後に解除されない。【AIR-Uプラン以外】 to [QA] 通話定額オプションの解除処理が動作しない。【AIR-Uプラン以外】

#9 - 06/09/2023 07:44 AM - Seongmin Choi

- Status changed from New to Resolved

ポータルからの処理はcall_option_idに0が入るようにして、SOアップデート後msp.voice_option_add_with_planchangeを実行するようになっていましたので合わせるように修正しました。

もう一度ご確認をお願いします。

#10 - 06/13/2023 12:18 AM - Takeshi Sasamori

- Status changed from Resolved to In Progress

本修正にて投入ファイルが正常処理されない問題が発生しているため解消後にお知らせください。

#11 - 06/13/2023 12:48 AM - Daisuke Tajima

- Status changed from In Progress to Feedback

- % Done changed from 0 to 30
#12 - 06/19/2023 07:56 AM - Seongmin Choi

- Status changed from Feedback to Resolved

修正完了しました。

public.zz_msp_plan_change_addファンクションを追加してアプリ側と同じ挙動するようにしました。

ご確認をお願いします。

#13 - 06/20/2023 02:08 AM - Takeshi Sasamori

- Status changed from Resolved to Feedback

以下回線にてサビ変再テスト。

08027413311

変更前：NT-ECDVC-3（通話かけ放題OP付）

変更後：NT-EGMVC-10

実施内容

プラン変更ファイル取り込み処理

定額オプション解除用の以下レコード作成される

##provisioning.line_options_stat

398196;"08027413311_SVCHANGE";9991;FALSE;FALSE;"2023-06-30

00:00:00+09";"";0;1;FALSE;"BULK-PlanChange-20230620_0952-ba5r1kAj";"2023-06-20 09:52:45.728251+09";"";"";""

↓

プラン変更バッチ

＜dev-minila＞

sudo /opt/ProvisioningLineBatch/mspApplyPlanChanges.sh 20230601

↓

phone_number が"08027413311_SVCHANGE"から"08027413311_DEAD"へ

##provisioning.line_options_stat

398196;"08027413311_DEAD";9991;FALSE;FALSE;"2023-05-31

00:00:00+09";"";0;1;TRUE;"BULK-PlanChange-20230620_0952-ba5r1kAj";"2023-06-20 09:52:45.728251+09";"MSPPartnerBatch";"2023-06-20

10:09:50.54911+09";"#re-rename phone_number by set_jci_call_option_request_sv_change()"

そのため通話定額オプション解除処理されていない状態です。

ご確認ください。
#14 - 07/06/2023 08:11 AM - Takeshi Sasamori

再度テスト実施。

以下に違いがあるか検証。

ポータルからサビ変申込

07028231130 GD0605958760300

07099991038 97000000000000000000000000067901

ファイル投入でサビ変申込

07041555710 GD0605958760370

07099991039 97000000000000000000000000067998

前回と異なり、プラン変更バッチ実行してもline_options_statに変化がありません。

バッチにはひろわれプラン変更自体は正常に完了しています。

全回線同様の挙動です。

以下の手順でテストしていますが問題ありますでしょうか。

・プラン変申込

↓

・プラン変更バッチ実行に際して各date修正（1カ月前に修正）

↓

・20230701指定でバッチ実行

＜dev-viweb01v＞

sudo /opt/ProvisioningLineBatch/mspApplyPlanChanges.sh 20230701

#15 - 07/07/2023 02:42 AM - Kazuki Yamada

横からですが

実行サーバ今一度ご確認ください

#16 - 07/07/2023 02:42 AM - Kazuki Yamada

- Assignee changed from Seongmin Choi to Takeshi Sasamori

#17 - 07/07/2023 02:43 AM - Daisuke Tajima

- % Done changed from 30 to 70

→笹森さん、

>・20230701指定でバッチ実行

>＜dev-viweb01v＞

>sudo /opt/ProvisioningLineBatch/mspApplyPlanChanges.sh 20230701

実行サーバーが異なるように見えます。

dev-minillaにて実行されていますでしょうか。
#18 - 07/07/2023 02:51 AM - Takeshi Sasamori

テスト記録にはdev-viweb01vと書いているためdev-minillaでの実行ではなかったものと思います。

再テスト実施します。

#19 - 07/07/2023 04:20 AM - Takeshi Sasamori

- % Done changed from 70 to 100

- Status changed from Feedback to Closed

再テスト

ポータルからプラン変更申込

07042201326 GD0605958760280

07099991040 97000000000000000000000000068192

ファイル投入でプラン変更申込

07042202086 GD0605958760330

07099991041 97000000000000000000000000068289

全回線プラン変更後に定額オプション解除されたことを確認。

dev-minillaでの実行していなかったことが原因でした。

失礼しました。クローズします。

#20 - 07/10/2023 08:30 AM - Daisuke Tajima

- Subject changed from [QA] 通話定額オプションの解除処理が動作しない。【AIR-Uプラン以外】 to [QA] DoCoMo通話定額オプションの解除処理が動作しない。

Files

20619_03_QA_ServiceChange01_20230606.txt 48 Bytes 06/06/2023 Takeshi Sasamori

Powered by TCPDF (www.tcpdf.org)

06/27/2025 5/5

http://www.tcpdf.org

